; Akeeba ZIP archiver engine
; Copyright (c)2006-2015 Nicholas K. Dionysopoulos
; Version $Id: zip.ini 738 2011-06-15 13:11:38Z nikosdion $

; Engine information
[_information]
title = ENGINE_ARCHIVER_ZIP_TITLE
description = ENGINE_ARCHIVER_ZIP_DESCRIPTION

; Dereference symlinks?
[engine.archiver.common.dereference_symlinks]
default = 0
type = bool
title = CONFIG_DEREFERENCESYMLINKS_TITLE
description = CONFIG_DEREFERENCESYMLINKS_DESCRIPTION

; Part size setting. Common between archive engines.
; Note: some writers may explicitly override this setting!
[engine.archiver.common.part_size]
default = 0
type = integer
min = 0
max = 2147483648
shortcuts = "0|131072|262144|524288|1048576|2097152|5242880|10485760|20971520|52428800|104857600|268435456|536870912|1073741824|1610612736|2097152000"
scale = 1048756
uom = Mb
title = CONFIG_PARTSIZE_TITLE
description = CONFIG_PARTSIZE_DESCRIPTION

; Chunk size for processing large files. Common between archive engines.
[engine.archiver.common.chunk_size]
default = 1048576
type = integer
min = 65536
max = 10485760
shortcuts = "65536|131072|262144|524288|1048576|2097152|5242880|10485760"
scale = 1048756
uom = Mb
title = CONFIG_CHUNKSIZE_TITLE
description = CONFIG_CHUNKSIZE_DESCRIPTION

; Do not compress files over this size (in bytes). Common between archive engines.
[engine.archiver.common.big_file_threshold]
default = 1048576
type = integer
min = 65536
max = 10485760
shortcuts = "65536|131072|262144|524288|1048576|2097152|5242880|10485760"
scale = 1048756
uom = Mb
title = CONFIG_BIGFILETHRESHOLD_TITLE
description = CONFIG_BIGFILETHRESHOLD_DESCRIPTION

; Maximum chunk size for ZIP Central Directory gluing
[engine.archiver.zip.cd_glue_chunk_size]
default = 1048576
type = integer
min = 65536
max = 10485760
shortcuts = "65536|131072|262144|524288|1048576|2097152|5242880|10485760"
scale = 1048756
uom = Mb
title = CONFIG_ZIPCDGLUECHUNKSIZE_TITLE
description = CONFIG_ZIPCDGLUECHUNKSIZE_DESCRIPTION